import { HTMLAttributes } from "react";
import React from "react";
export interface CardListProps<T = any> extends HTMLAttributes<HTMLDivElement> {
    list: T[];
    space: number;
    splitSize: number;
    splitClass: string;
    center: boolean;
    component: React.FC<any>;
    componentClass: string;
    componentStyle: React.CSSProperties;
    direction: 'horizontal' | 'vertical';
}
export declare function CardList<T = any>({ list, component: Component, className, direction, splitSize, splitClass, space, center, style, componentClass, componentStyle, ...pp }: Partial<CardListProps<T>>): React.JSX.Element;
export declare namespace CardList {
    var defaultProps: {
        direction: string;
        space: number;
    };
}
